commit: 92450dbca756a99056bb397cdaec453f75a8847c
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 4 18:49:27 2019 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Sep 4 18:58:47 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92450dbc
www-client/firefox: re-enable USE=pgo for USE=wayland
Backport of commit 125dfa502a876811160290cb21348daa26f81ce3.
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
www-client/firefox/firefox-69.0.ebuild | 16 ++++++++--------
1 file changed, 8 insertions(+), 8 deletions(-)
diff --git a/www-client/firefox/firefox-69.0.ebuild
b/www-client/firefox/firefox-69.0.ebuild
index 879b6e94338..125ff3d5f5d 100644
--- a/www-client/firefox/firefox-69.0.ebuild
+++ b/www-client/firefox/firefox-69.0.ebuild
@@ -167,12 +167,7 @@ DEPEND="${CDEPEND}
x86? ( >=dev-lang/nasm-2.13 )
)"
-# We use virtx eclass which cannot handle wayland
-REQUIRED_USE="wifi? ( dbus )
- pgo? (
- lto
- !wayland
- )"
+REQUIRED_USE="pgo? ( lto )"
RESTRICT="!test? ( test )"
@@ -594,8 +589,13 @@ src_compile() {
addpredict /etc/gconf
fi
- MOZ_MAKE_FLAGS="${MAKEOPTS} -O" SHELL="${SHELL:-${EPREFIX}/bin/bash}"
MOZ_NOSPAM=1 ${_virtx} \
- ./mach build --verbose || die
+ GDK_BACKEND=x11 \
+ MOZ_MAKE_FLAGS="${MAKEOPTS} -O" \
+ SHELL="${SHELL:-${EPREFIX}/bin/bash}" \
+ MOZ_NOSPAM=1 \
+ ${_virtx} \
+ ./mach build --verbose \
+ || die
}
src_install() {